Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152866 - lsraid/raidtools fails segmentation violation after 100+days uptime
Summary: lsraid/raidtools fails segmentation violation after 100+days uptime
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: General
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-07 09:52 UTC by David Lawrence
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description David Lawrence 2005-03-30 23:30:13 UTC
RH 9.0: /sbin/lsraid -A -p violates due to increasing line length in
/proc/partitions. Compiled line length is 100. in 'load_partitions()', opens
/proc/partitions and reads up to MAX_LINE_LENGTH. Since line lengths in
/proc/partitions can exceed 100 chs, susequent reads get rubbish read and result
is violation. Increasing MAX_LINE_LENGTH to 255 avoided problem and 
stopped violation. (This was the version of raidtools downloaded from
http://people.redhat.com/mingo/raidtools). 

I note that FC3 does not have as many columns in /proc/partitions and so would not
suffer from this problem



------- Additional Comments From pekkas@netcore.fi 2004-12-21 08:29:13 ----

While this would be an easily fixable bug, this is not a security problem as
those tools are not setuid.  Feel free to reopen and debate this again if at
some point we'll have to make a RHL9 update to raidtools for some other reason.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:30 -------

This bug previously known as bug 2332 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2332
Originally filed under the Fedora Legacy product and General component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was jrw@gwsevern.co.uk.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.




Note You need to log in before you can comment on or make changes to this bug.